Needs Update! Puntuado con 5 de 5 estrellas

I love this extension and can not use Firefox without it.
Now that Firefox updated to version 26, it is broken.
Please update your extension to work again with version 26 and above.
Your last update was 2013.04.12.
There is no other extension to replace yours, and the Firefox build in manager sucks!

Esta valoración es de una versión anterior del complemento (0.9.8.1-signed).